SLASH_LOOK1 = "/look"

local frame = CreateFrame("Frame")
frame:RegisterEvent("NAME_PLATE_UNIT_ADDED")
frame:RegisterEvent("NAME_PLATE_UNIT_REMOVED")
frame:SetScript("OnEvent", function(self, event, arg1)
    if event == "NAME_PLATE_UNIT_ADDED" then
               PlaySoundFile("Interface/AddOns/WOWAccess-Retail/sounds/nameplateadded.ogg")
    elseif event == "NAME_PLATE_UNIT_REMOVED" then
                      PlaySoundFile("Interface/AddOns/WOWAccess-Retail/sounds/nameplateremoved.ogg") 
    end
end)

local MAX_NAME_PLATE_UNITS = 40
local function look()
for i = 1, MAX_NAME_PLATE_UNITS do
    local unit = "nameplate" .. i
    local name = UnitName(unit)

    if name then
        C_VoiceChat.SpeakText(0, name, 4, 0, 100)
    end
end
end
SlashCmdList["LOOK"] = look;