SLASH_STATS1 = "/pstats"
SLASH_WHERE1 = "/where"
local function speakText(spokenMessage)
    C_VoiceChat.StopSpeakingText()
    C_VoiceChat.SpeakText(1, spokenMessage, Enum.VoiceTtsDestination.QueuedLocalPlayback, 5, 100)
end

local function readPlayerZone()
    local playerArea = GetAreaText()
    local playerSubZone = GetSubZoneText()
    local playerZone = GetZoneText()
    local map = C_Map.GetBestMapForUnit("player")
    local position = C_Map.GetPlayerMapPosition(map, "player")
local playerMapX, playerMapY = position:GetXY()
    playerMapX = math.floor(playerMapX*10000+0.5)/100
    playerMapY = math.floor(playerMapY*10000+0.5)/100

    local locationMessage = "You are in "..playerArea..", within "..playerSubZone..", at "..playerMapX..", "..playerMapY.."."
    speakText(locationMessage)
end

local function readPlayerStatistics()
    local currentHealth = UnitHealth("player")
    local maxHP = UnitHealthMax("player")
    local hpPerc = math.floor(currentHealth*100/maxHP)

    local currentMana = UnitPower("player")
    local maxMana = UnitPowerMax("player")
    local manaPerc = math.floor(currentMana*100/maxMana)
    local currentXP = UnitXP("player")
    local maxXP = UnitXPMax("player")
    local XPPerc = math.floor(currentXP*100/maxXP)
    local level = UnitLevel("player")
    local statMessage = "You have, "..hpPerc.." percent health, and "..manaPerc.." percent  power. You are level "..level..", with "..XPPerc.." percent towards your next level!"
speakText(statMessage)
end
SlashCmdList["STATS"] = readPlayerStatistics;
SlashCmdList["WHERE"] = readPlayerZone;
